Page MenuHomePhabricator

Add basic IP range support to Special:Contributions
Closed, ResolvedPublic40 Story Points

Description

Add basic IP range support to the normal Special:Contributions. No per-IP sorting or date headings, or any bells and whistles. Later we can move on to T145912 and create Special:RangeContributions for the power users.

This uses the table introduced with T156318, which has been given the OK from a DBA.

Currently we are only showing a block entry at the top if the full range is blocked, as opposed to subrange blocks or individual blocks of within the range.

Related Objects

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 21 2017, 4:11 PM

@MusikAnimal: Please split the new table creation into a separate patch. This will make it easier to roll out.

MusikAnimal renamed this task from Add basic IP range support to Special:Contributions and possibly log pages to Add basic IP range support to Special:Contributions.Aug 10 2017, 3:29 AM
MusikAnimal updated the task description. (Show Details)Aug 17 2017, 1:07 AM
kaldari set the point value for this task to 40.Aug 22 2017, 11:46 PM

@brion @Anomie : Could you take a look at this patch?

Change 349457 merged by jenkins-bot:
[mediawiki/core@master] Add basic IP range support to Special:Contributions

https://gerrit.wikimedia.org/r/349457

MusikAnimal closed this task as Resolved.Sep 6 2017, 1:23 AM

Merged! This is slated to go out on next week's train :)

All is working fine on the beta cluster. Here's contribs from the WMF office, for example: https://en.wikipedia.beta.wmflabs.org/wiki/Special:Contributions/198.73.209.0/24

Next step is to run the maintenance script on each wiki to backfill historical data: T175105

Huji added a subscriber: Huji.Sep 6 2017, 1:29 AM

This is awesome!

IKhitron added a comment.EditedSep 14 2017, 3:22 PM

Sorry, @MusikAnimal. I just tried DeletedContributions for something deleted today, it doesn't work. If the task is resolved, it's a bug?

MusikAnimal updated the task description. (Show Details)Sep 14 2017, 3:28 PM

Sorry, @MusikAnimal. I just tried DeletedContributions for something deleted today, it doesn't work. If the task is resolved, it's a bug?

DeletedContributions is not yet supported. Sorry about that! I updated the task description.

Wiki13 added a subscriber: Wiki13.Sep 21 2017, 11:42 AM
DannyH moved this task from Bug backlog to Archive on the Community-Tech board.Oct 3 2017, 9:49 PM